# -*- coding:UTF-8 -*-
#!/usr/bin/python

# 範例1
while True:
   try:
      # 直接將輸入值轉換成數字，所以輸入的不是數字就會引發錯誤！
      x = int(input("#1 請輸入數字: "))
      print("#1 你剛才輸入的是:", x)
      break  # 跳出迴圈
   except ValueError:  # 數值錯誤
      print("#1 糟糕！你輸入的不是數字，請你再輸入一次！...")

# 範例2
try:
   # 故意除以零
   print('#2 {} 除以零！'.format(x/0))
# 數值除以零的錯誤
except ZeroDivisionError:
   print('#2 {} 不能除以零，誰都不行！'.format(x))

# 範例3
try:
   # 故意用了沒宣告過的變數『magic_number』
   print('#3 兩數相乘: {0}', x * y)
# 變數未宣告的錯誤
except NameError:
   print('#3 變數未宣告的錯誤！')

input('Press enter to continue......')
